## xlnx-default-bitstreams 1.0

=== Makefile ===
.PHONY: default all clean install

default all:
	$(MAKE) -C k26_starter_kits
	$(MAKE) -C k24_starter_kits

install: all
	$(MAKE) -C k24_starter_kits $@
	$(MAKE) -C k26_starter_kits $@

clean:
	$(MAKE) -C k24_starter_kits $@
	$(MAKE) -C k26_starter_kits $@

distclean: clean

=== k24_starter_kits/Makefile ===
.PHONY: default all clean install
DTBO = k24_starter_kits.dtbo
BIN = k24_starter_kits.bit.bin
DFXJSON = shell.json
INSTALL_DIR=$(DESTDIR)/lib/firmware/xilinx/k24-starter-kits/

default all: $(BIN) $(DTBO)

$(BIN):
	bootgen -image $(subst .bit.bin,.bif,$@) -arch zynqmp -o $@ -w

$(DTBO):
	dtc -I dts -O dtb -o $@ $(subst .dtbo,.dtsi,$@)


install: all
	mkdir -p $(INSTALL_DIR)
	install -D -m 644 $(DTBO) $(INSTALL_DIR)
	install -D -m 644 $(BIN) $(INSTALL_DIR)
	install -D -m 644 $(DFXJSON) $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)

clean:
	rm -f *.bin *.dtbo

distclean: clean

=== k26_starter_kits/Makefile ===
.PHONY: default all clean install
DTBO = k26_starter_kits.dtbo
BIN = k26_starter_kits.bit.bin
DFXJSON = shell.json
INSTALL_DIR=$(DESTDIR)/lib/firmware/xilinx/k26-starter-kits/

default all: $(BIN) $(DTBO)

$(BIN):
	bootgen -image $(subst .bit.bin,.bif,$@) -arch zynqmp -o $@ -w

$(DTBO):
	dtc -I dts -O dtb -o $@ $(subst .dtbo,.dtsi,$@)


install: all
	mkdir -p $(INSTALL_DIR)
	install -D -m 644 $(DTBO) $(INSTALL_DIR)
	install -D -m 644 $(BIN) $(INSTALL_DIR)
	install -D -m 644 $(DFXJSON) $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)

clean:
	rm -f *.bin *.dtbo

distclean: clean

=== debian/changelog ===
xlnx-default-bitstreams (1:1.0-0ubuntu1) questing; urgency=medium

  * debian packaging
    - New upstream release (LP: #2110016)
    - Add epoch since upstream changed the versioning scheme
    - update d/watch file to track correct versioning scheme in upstream
    - update d/control to use more up-to-date Standards-Version
    - update d/control to use debhelper-compat instead of debhelper
    - remove d/compat since it is not needed
    - remove d/p/add-missing-build-support-files.patch fix landed to upstream

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 06 May 2025 07:54:20 +0000

xlnx-default-bitstreams (2022.1-0ubuntu1) kinetic; urgency=medium

  * First release

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 06 May 2022 12:58:02 +0800

=== debian/control ===
Source: xlnx-default-bitstreams
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13), device-tree-compiler, xilinx-bootgen
Standards-Version: 4.7.2
Homepage: https://github.com/Xilinx/kria-base-firmware
Rules-Requires-Root: no

Package: xlnx-default-bitstreams
Architecture: arm64
Depends: ${misc:Depends}
Description: Default FPGA firmware for Xilinx boards
 The default firmware with dynamic fancontrol enabled for Xilinx Kria
 SOM boards. The programmable logic (PL) bitstream binary, Device tree
 overlay source and json file required by dfx-mgr for Xilinx boards.

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1

%:
	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/xilinx/kria-base-firmware/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

## xlnx-default-bitstreams 2022.1

=== debian/changelog ===
xlnx-default-bitstreams (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * First release

 -- Ethan Hsieh <ethan.hsieh@canonical.com>  Fri, 06 May 2022 12:58:02 +0800

=== debian/control ===
Source: xlnx-default-bitstreams
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 10), device-tree-compiler, bootgen-xlnx
Standards-Version: 4.1.2

Package: xlnx-default-bitstreams
Architecture: arm64
Depends: ${misc:Depends}
Description: Xilinx fpga firmware for Xilinx boards
 PL bitstream binary, Device tree overlay source and json file required
 by dfx-mgr for Xilinx boards

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

KRIABASEFWGITREPO := kria-base-firmware
KRIABASEFWTAG := xilinx_v2022.1

get-orig-source:
	rm -rf k26_starter_kits LICENSE-BINARIES  LICENSE-GPLv2  README.md
	wget https://github.com/Xilinx/$(KRIABASEFWGITREPO)/archive/refs/tags/$(KRIABASEFWTAG).tar.gz
	tar -xvf $(KRIABASEFWTAG).tar.gz
	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz "$(KRIABASEFWGITREPO)-$(KRIABASEFWTAG)"/*
	mv "$(KRIABASEFWGITREPO)-$(KRIABASEFWTAG)"/* .
	rm -r $(KRIABASEFWTAG).tar.gz "$(KRIABASEFWGITREPO)-$(KRIABASEFWTAG)"/
